# Generated by Django 2.1.1 on 2019-02-22 12:18

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('IndospiritTransactions', '0023_auto_20190220_1324'),
    ]

    operations = [
        migrations.CreateModel(
            name='SpecialCDType',
            fields=[
                ('cd_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('series_no', models.CharField(blank=True, max_length=50, null=True)),
                ('discount_type', models.CharField(choices=[('AdditionalDiscount', 'Additional Discount')], default='AdditionalDiscount', max_length=50)),
                ('amount', models.DecimalField(decimal_places=2, default=0, max_digits=20)),
                ('remarks', models.TextField(blank=True, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('is_active', models.BooleanField(blank=True, default=True, null=True)),
                ('is_deleted', models.BooleanField(blank=True, default=False, null=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_by_cd', to=settings.AUTH_USER_MODEL)),
                ('dealer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='cd_dealer', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AlterField(
            model_name='ledger',
            name='ledger_type',
            field=models.CharField(choices=[('Dealer', 'Dealer'), ('Sales', 'Sales'), ('Discount', 'Discount'), ('Bank', 'Bank'), ('CreditNote', 'Credit Note'), ('DebitNote', 'Debit Note'), ('DealerTransaction', 'Dealer Transaction'), ('DealerOrders', 'DealerOrders')], default='Sales', max_length=30),
        ),
    ]
